#include <bits/stdc++.h>
using namespace std;
int main (){
ios_base::sync_with_stdio(false);
cin.tie(NULL);
int n_1,n_2,k,brbenzin=0;
char c_1,c_2;
cin >> n_1 >> c_1;
cin >> n_2 >> c_2;
cin >> k;
if(c_1=='A' && n_1<=k){
    cout << n_1;
}
if(c_1=='A' && n_1>k){
    cout << k;
}
if(c_1=='B' && n_1<k){
    cout << k-n_1;
}
if(c_1=='B' && n_1>=k){
    cout << "0" ;
}
return 0;}
